calendar-determine-holiday() {
  local month day
  read -r month day < <(date "+%m %d")

  if (( 10#$month == 3 && 10#$day < 18 )); then
    if (( 17 - 10#$day == 0 )); then
      printf "Happy Saint Patrick's day!\n"
    else
      printf "Only %d days left until Saint Patrick's day!\n" "$(( 17 - 10#$day ))"
    fi

    PS1_prompt_sym=🍀
  elif (( 10#$month == 10 )); then
    if (( 31 - 10#$day == 0 )); then
      printf 'Have a spooky halloween!\n'
    else
      printf 'Only %d days left until Halloween!\n' "$(( 31 - 10#$day ))"
    fi

    PS1_prompt_sym=🎃
  elif (( 10#$month == 12 && 10#$day < 26 )); then
    if (( 25 - 10#$day == 0 )); then
      printf 'Merry Christmas!\n'
    else
      printf 'Only %d days left until Christmas!\n' "$(( 25 - 10#$day ))"
    fi

    PS1_prompt_sym=🌲
  fi
}

calendar-determine-holiday
